Skip to main content
GET
/
open-api
/
v1.1
/
memberships
/
series
/
posts
List Post Series
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/series/posts \
  --header 'Authorization: Bearer <token>'
{
  "series": [
    {
      "id": 123,
      "title": "<string>",
      "episodesCount": 123,
      "postsIds": [
        123
      ],
      "description": "<string>",
      "coverImage": {
        "url": "<string>"
      },
      "thumbnail": {
        "url": "<string>"
      }
    }
  ],
  "pagination": {
    "pages": 123,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}
OAuth scope: memberships_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Query Parameters

page
integer
required
limit
integer
required
postsType
enum<string>
required
Available options:
video

Response

series
Post · object[]
required
pagination
Pagination · object
required